{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.jade.NAME;
in
  with lib; {
    options.jade.NAME = {
      enable = mkEnableOption "Enable the module";
    };
    config =
      mkIf cfg.enable {
      };
  }
